##
##  zope.conf -- Zope Configuration
##
##  Please see @l_prefix@/lib/zope/Zope/Startup/zopeschema.xml for
##  a fully-annotated description of the allowed values.
##

%define INSTANCE @l_prefix@/var/zope

instancehome $INSTANCE
debug-mode off

<zoperunner>
  program @l_prefix@/bin/zoperun
  daemon true
  backoff-limit 10
  forever false
  default-to-interactive true
  #socket-name $INSTANCE/var/zope.zdsock
  #exit-codes 0, 2
  #directory $INSTANCE
  #user zope-kr
  #python @l_prefix@/bin/python
  #zdrun @l_prefix@/lib/zope/zdaemon/zdrun.py
  #logfile $INSTANCE/var/event.log
</zoperunner>

<http-server>
  address 127.0.0.1:8080
</http-server>

<ftp-server>
  address 127.0.0.1:8021
</ftp-server>

#<webdav-source-server>
#  address 127.0.0.1:1980
#  force-connection-close off
#</webdav-source-server>
#
#<icp-server>
#  address 127.0.0.1:888
#</icp-server>

<zodb_db main>
    <filestorage>
      path $INSTANCE/var/Data.fs
    </filestorage>
    mount-point /
</zodb_db>

<zodb_db temporary>
    <temporarystorage>
      name temporary storage for sessioning
    </temporarystorage>
    mount-point /temp_folder
    container-class Products.TemporaryFolder.TemporaryContainer
</zodb_db>

#<zodb_db main>
#  mount-point /
#  <zeoclient>
#    server localhost:8100
#    storage 1
#    name zeostorage
#    var $INSTANCE/var
#  </zeoclient>
#</zodb_db>

<eventlog>
  level all
  <logfile>
    path $INSTANCE/log/event.log
    level info
  </logfile>
</eventlog>

<logger access>
  level WARN
  <logfile>
    path $INSTANCE/log/Z2.log
    format %(message)s
  </logfile>
</logger>

#<logger trace>
#  level WARN
#  <syslog-handler>
#    host localhost
#    port 514
#  </syslog-handler>
#  <nteventlog-handler>
#    appname Zope
#  </nteventlog-handler>
#</logger>

